Subject: [alpine-aports] [PATCH edge] main/postfixadmin: security upgrade to 3.0.2 - fixes #6834

From: Sergei Lukin <[email-masked]>
Date: Mon, 13 Feb 2017 08:36:19 +0000

CVE-2017-5930: allows to delete protected aliases

https://svn.code.sf.net/p/postfixadmin/code/trunk/CHANGELOG.TXT
---
 main/postfixadmin/APKBUILD | 23 ++++++++---------------
 1 file changed, 8 insertions(+), 15 deletions(-)

diff --git a/main/postfixadmin/APKBUILD b/main/postfixadmin/APKBUILD
index 49eb7f019b..3244deffbf 100644
--- a/main/postfixadmin/APKBUILD
+++ b/main/postfixadmin/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Sergei Lukin <[email-masked]>
 # Contributor: Natanael Copa <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=postfixadmin
-pkgver=2.93
-pkgrel=1
+pkgver=3.0.2
+pkgrel=0
 pkgdesc="Web Based Management tool for Postfix"
 url="http://postfixadmin.com/"
 arch="noarch"
@@ -13,23 +14,17 @@ install=""
 subpackages=""
 source="http://downloads.sourceforge.net/project/postfixadmin/postfixadmin/postfixadmin-$pkgver/postfixadmin-$pkgver.tar.gz"
 
-_builddir="$srcdir"/postfixadmin-$pkgver
+builddir="$srcdir"/postfixadmin-$pkgver
 prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	default_prepare || return 1
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	mkdir -p "$pkgdir"/usr/share/webapps/postfixadmin \
 		"$pkgdir"/etc/postfixadmin
 	cp -r * "$pkgdir"/usr/share/webapps/postfixadmin/
@@ -41,6 +36,4 @@ package() {
 		"$pkgdir"/usr/share/webapps/postfixadmin/config.inc.php
 }
 
-md5sums="d9a0e19bdb3241411cac8446d511fdb4  postfixadmin-2.93.tar.gz"
-sha256sums="cc1ec188ea90254d8365081171dbbf2bfdf2a020bc943725b5a957de34bc1769  postfixadmin-2.93.tar.gz"
-sha512sums="ef2d7b1112c18722ba94fac3c34b0b9bbd961ba3bf1eb866fecd63ccceca9feccca53efcb54dc1d4c109fd407ba2cee642f310a9b3254b164137e41664de0af9  postfixadmin-2.93.tar.gz"
+sha512sums="19db70cc59e8e41356e4cd632b0cb9df8d8de0f0451e7e2c84d61a0aa6ede5cc93bbf8914786a2eec012e4c013ad130a001d143ce869aa54b54a50fb798ed92b  postfixadmin-3.0.2.tar.gz"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---